user  nginx;
worker_processes  auto;


error_log  /var/log/nginx/error.log warn;
pid        /var/run/nginx.pid;

events {
    worker_connections 65535;
    multi_accept on;
    use epoll;
}

http {
    include       /etc/nginx/mime.types;
    default_type  application/octet-stream;

    log_format  main  '$remote_addr - $remote_user [$time_local] "$request" '
                      '$status $body_bytes_sent "$http_referer" '
                      '"$http_user_agent" "$http_x_forwarded_for"';

    access_log  /var/log/nginx/access.log  main;

    sendfile        on;
    tcp_nopush     on;
    tcp_nodelay on;
    keepalive_timeout  65;
    types_hash_max_size 2048;

    server_tokens off;

    open_file_cache max=200000 inactive=20s;
    open_file_cache_valid 30s;
    open_file_cache_min_uses 2;
    open_file_cache_errors on;

    add_header Referrer-Policy "no-referrer";


    gzip on;
    gzip_disable "msie6";

    gzip_vary on;
    gzip_proxied any;
    gzip_comp_level 6;
    gzip_buffers 16 8k;
    gzip_http_version 1.1;
    gzip_types text/plain text/css application/json application/javascript text/xml application/xml application/xml+rss text/javascript application/vnd.ms-fontobject application/x-font-ttf font/opentype image/svg+xml image/x-icon application/octet-stream image/gif application/font-woff2;
    gzip_min_length 256;

    map $sent_http_content_type $expires {
       default                    off;
       text/html                  epoch;
       text/css                   max;
       application/javascript     max;
       application/octet-stream   max;
       image/svg+xml		      max;
    }
    server {
        listen              80;
        server_name         localhost;

        location /c4i-esgfsearch-backend {
            add_header 'Access-Control-Allow-Origin' '*';
            proxy_pass http://c4i-esgfsearch-backend/esgfsearch/;
        }

        location /c4i-frontend {
            proxy_pass http://c4i-nginx-frontend/c4i-frontend;
        }

        location / {
            return 301 "/c4i-frontend/";
        }

         


        # redirect server error pages to the static page /50x.html
        #
        error_page   500 502 503 504  /50x.html;
        location = /50x.html {
           root   /usr/share/nginx/html;
        }
    }
}
